The question is: Will the latest Xcode (6.3.2) work with Delphi XE8 Update 1?

Posted by on in Tools

I received an email just now from another David, saying "I haven't found this information on your website...The question is: Will the latest Xcode (6.3.2) work with Delphi XE8 Update 1?". I have installed RAD Studio XE8 Subscription Update 1, installed the updated PAServer on my Mac to match the IDE, and I have Xcode version 6.3.2 running on my Mac. I am running iOS 8.3 on my iPhone 6 and iPad Air 2. To answer David (I also replied to his email): All is good with my development, testing and deployment of iOS and OSX apps.

Here are the screen grabs of my about boxes for both tools:

RAD Studio XE8 Subscription Update 1 about box

Xcode 6.3.2 about box

My guidance to developers is always, when you learn that there is a platform update, stay tuned to our blogs and wait until you hear from us that it is safe to go in the water before installing updates to the underlying platforms and devices we are using and targeting.  We give general platform version guidance at "Supported Target Platforms" pages (and links to specific target platforms) at http://docwiki.embarcadero.com/RADStudio/XE8/en/Supported_Target_Platforms.

I will work with our team to create a single spot where we can always update the version number dependencies and support we have, especially given that the platform vendors are making impactful changes these days even in what would normally be considered minor updates.  Stay tuned for a permanent URL.

 



About
Gold User, Rank: 1, Points: 2466
David Intersimone (known to many as David I.) is a passionate and innovative software industry veteran-often referred to as a developer icon-who extols and educates the world on Embarcadero developer tools. He shares his visions as an active member of the industry speaking circuit and is tapped as an expert source by the media. He is a long-standing champion of architects, developers and database professionals and works to ensure that their needs are folded into Embarcadero's strategic product plans. David holds a bachelor's degree in computer science from California Polytechnic State University at San Luis Obispo, California.

Comments

  • Steve J
    Steve J Wednesday, 1 July 2015

    Also works perfectly with the latest xCode 6.4.0

  • Steve J
    Steve J Saturday, 27 June 2015

    Same for me, same versions as David I. I have XE8 Professional with Mobile, update 1, Xcode 6.3.2 and was able to compile, install and run all my apps to my iPhone6 (iOS8.3), iPad 3 (iOS8.3) and iPhone 4S (iOS6.1.4) without troubles.

    For those who are upgrading from XE8, uninstalling XE8 and then installing XE8upd1 even kept everything for an immediate start (provisioning profiles, all 3rd parties VCLs, SDKs, connection profiles) without reconfiguring everything.

  • Please login first in order for you to submit comments
  • Page :
  • 1

Check out more tips and tricks in this development video: